<?php
require_once("../../config/config_dir_raiz.php");
$config = new Config();
require_once($config->diretorio_raiz()."/src/controller/Funcoes_bd.php");
require_once($config->diretorio_raiz()."/src/model/Bi_pagina_analise.php");
require_once($config->diretorio_raiz()."/src/model/bd/Bi_paginaDAO.php");
require_once($config->diretorio_raiz()."/src/model/bd/Bi_analiseDAO.php");
class Bi_pagina_analiseDAO
{
	private $_funcoes_bd;
	private $_banco_atual;
	private $conexao;
	function __construct()
	{
		$this->conexao = Conexao::obterConexao();
		$this->_banco_atual = Conexao::getUtilizarBanco();
		$this->_funcoes_bd = new Funcoes_bd();
	}
	public function salvar($bi_pagina_analise)
	{
		$inputs = array();
		if($bi_pagina_analise->getCodigo() != "")
		{
			array_push($inputs, array('campo'=>':codigo', 'valor'=>$bi_pagina_analise->getCodigo()));
		}
		else
		{
			array_push($inputs, array('campo'=>':codigo', 'valor'=>null));
		}
		if($bi_pagina_analise->getPagina() != "")
		{
			array_push($inputs, array('campo'=>':pagina', 'valor'=>$bi_pagina_analise->getPagina()));
		}
		else
		{
			array_push($inputs, array('campo'=>':pagina', 'valor'=>null));
		}
		if($bi_pagina_analise->getAnalise() != "")
		{
			array_push($inputs, array('campo'=>':analise', 'valor'=>$bi_pagina_analise->getAnalise()));
		}
		else
		{
			array_push($inputs, array('campo'=>':analise', 'valor'=>null));
		}
		if($bi_pagina_analise->getAltura() != "")
		{
			array_push($inputs, array('campo'=>':altura', 'valor'=>$bi_pagina_analise->getAltura()));
		}
		else
		{
			array_push($inputs, array('campo'=>':altura', 'valor'=>null));
		}
		array_push($inputs, array('campo'=>':largura', 'valor'=>str_replace(',','.',str_replace('.','',$bi_pagina_analise->getLargura()))));
		array_push($inputs, array('campo'=>':left_fixo', 'valor'=>str_replace(',','.',str_replace('.','',$bi_pagina_analise->getLeft_fixo()))));
		array_push($inputs, array('campo'=>':top_fixo', 'valor'=>str_replace(',','.',str_replace('.','',$bi_pagina_analise->getTop_fixo()))));
		if($bi_pagina_analise->getLinha() != "")
		{
			array_push($inputs, array('campo'=>':linha', 'valor'=>$bi_pagina_analise->getLinha()));
		}
		else
		{
			array_push($inputs, array('campo'=>':linha', 'valor'=>null));
		}
		if($bi_pagina_analise->getColuna() != "")
		{
			array_push($inputs, array('campo'=>':coluna', 'valor'=>$bi_pagina_analise->getColuna()));
		}
		else
		{
			array_push($inputs, array('campo'=>':coluna', 'valor'=>null));
		}
		if($bi_pagina_analise->getTexto() != "")
		{
			array_push($inputs, array('campo'=>':texto', 'valor'=>$bi_pagina_analise->getTexto()));
		}
		else
		{
			array_push($inputs, array('campo'=>':texto', 'valor'=>null));
		}
		if($bi_pagina_analise->getTipo() != "")
		{
			array_push($inputs, array('campo'=>':tipo', 'valor'=>$bi_pagina_analise->getTipo()));
		}
		else
		{
			array_push($inputs, array('campo'=>':tipo', 'valor'=>null));
		}
		try
		{
			$sql = "INSERT INTO bi_pagina_analise (codigo, pagina, analise, altura, largura, left_fixo, top_fixo, linha, coluna, texto, tipo) VALUES (:codigo, :pagina, :analise, :altura, :largura, :left_fixo, :top_fixo, :linha, :coluna, :texto, :tipo)  ";
			return $this->_funcoes_bd->executarSql($sql,$inputs);
		}
		catch (Exception $e)
		{
			throw new Exception($e->getMessage());
		}
	}
	public function buscarBi_pagina_analise($codigo)
	{
		$inputs = array();
		array_push($inputs, array('campo'=>':codigo', 'valor'=>$codigo));
		$sql = "SELECT * FROM bi_pagina_analise where codigo = :codigo "; 
		$bi_pagina_analise = new Bi_pagina_analise();
		$rows_bi_pagina_analise = $this->_funcoes_bd->sqlArrayInputs($sql, $inputs);
		foreach ($rows_bi_pagina_analise as $row)
		{
			$bi_pagina_analise->setCodigo($row['codigo']);
			if($row['pagina'] != "")
			{
				$paginaDAO = new Bi_paginaDAO();
				$bi_pagina_analise->setPagina($paginaDAO->buscarBi_pagina($row['pagina']));
			}
			else
			{
				$bi_pagina_analise->setPagina(new Bi_pagina());
			}
			if($row['analise'] != "")
			{
				$analiseDAO = new Bi_analiseDAO();
				$bi_pagina_analise->setAnalise($analiseDAO->buscarBi_analise($row['analise']));
			}
			else
			{
				$bi_pagina_analise->setAnalise(new Bi_analise());
			}
			$bi_pagina_analise->setAltura($row['altura']);
			$bi_pagina_analise->setLargura($row['largura']);
			$bi_pagina_analise->setLeft_fixo($row['left_fixo']);
			$bi_pagina_analise->setTop_fixo($row['top_fixo']);
			$bi_pagina_analise->setLinha($row['linha']);
			$bi_pagina_analise->setColuna($row['coluna']);
			$bi_pagina_analise->setTexto($row['texto']);
			$bi_pagina_analise->setTipo($row['tipo']);
		}
		return $bi_pagina_analise;
	}
	public function buscarFiltro($where)
	{
		$inputs = array();
		$sql = "SELECT * FROM bi_pagina_analise  ".$where;
		$lista_bi_pagina_analise = array();
		$rows_bi_pagina_analise = $this->_funcoes_bd->sql($sql);
		foreach ($rows_bi_pagina_analise as $row)
		{
			$bi_pagina_analise = new Bi_pagina_analise();
			$bi_pagina_analise->setCodigo($row['codigo']);
			if($row['pagina'] != "")
			{
				$paginaDAO = new Bi_paginaDAO();
				$bi_pagina_analise->setPagina($paginaDAO->buscarBi_pagina($row['pagina']));
			}
			else
			{
				$bi_pagina_analise->setPagina(new Bi_pagina());
			}
			if($row['analise'] != "")
			{
				$analiseDAO = new Bi_analiseDAO();
				$bi_pagina_analise->setAnalise($analiseDAO->buscarBi_analise($row['analise']));
			}
			else
			{
				$bi_pagina_analise->setAnalise(new Bi_analise());
			}
			$bi_pagina_analise->setAltura($row['altura']);
			$bi_pagina_analise->setLargura($row['largura']);
			$bi_pagina_analise->setLeft_fixo($row['left_fixo']);
			$bi_pagina_analise->setTop_fixo($row['top_fixo']);
			$bi_pagina_analise->setLinha($row['linha']);
			$bi_pagina_analise->setColuna($row['coluna']);
			$bi_pagina_analise->setTexto($row['texto']);
			$bi_pagina_analise->setTipo($row['tipo']);
			array_push($lista_bi_pagina_analise, $bi_pagina_analise);
		}
		return $lista_bi_pagina_analise;
	}
	public function atualizar($bi_pagina_analise)
	{
		$inputs = array();
		if($bi_pagina_analise->getCodigo() != "")
		{
			array_push($inputs, array('campo'=>':codigo', 'valor'=>$bi_pagina_analise->getCodigo()));
		}
		else
		{
			array_push($inputs, array('campo'=>':codigo', 'valor'=>null));
		}
		if($bi_pagina_analise->getPagina() != "")
		{
			array_push($inputs, array('campo'=>':pagina', 'valor'=>$bi_pagina_analise->getPagina()));
		}
		else
		{
			array_push($inputs, array('campo'=>':pagina', 'valor'=>null));
		}
		if($bi_pagina_analise->getAnalise() != "")
		{
			array_push($inputs, array('campo'=>':analise', 'valor'=>$bi_pagina_analise->getAnalise()));
		}
		else
		{
			array_push($inputs, array('campo'=>':analise', 'valor'=>null));
		}
		if($bi_pagina_analise->getAltura() != "")
		{
			array_push($inputs, array('campo'=>':altura', 'valor'=>$bi_pagina_analise->getAltura()));
		}
		else
		{
			array_push($inputs, array('campo'=>':altura', 'valor'=>null));
		}
		array_push($inputs, array('campo'=>':largura', 'valor'=>str_replace(',','.',str_replace('.','',$bi_pagina_analise->getLargura()))));
		array_push($inputs, array('campo'=>':left_fixo', 'valor'=>str_replace(',','.',str_replace('.','',$bi_pagina_analise->getLeft_fixo()))));
		array_push($inputs, array('campo'=>':top_fixo', 'valor'=>str_replace(',','.',str_replace('.','',$bi_pagina_analise->getTop_fixo()))));
		if($bi_pagina_analise->getLinha() != "")
		{
			array_push($inputs, array('campo'=>':linha', 'valor'=>$bi_pagina_analise->getLinha()));
		}
		else
		{
			array_push($inputs, array('campo'=>':linha', 'valor'=>null));
		}
		if($bi_pagina_analise->getColuna() != "")
		{
			array_push($inputs, array('campo'=>':coluna', 'valor'=>$bi_pagina_analise->getColuna()));
		}
		else
		{
			array_push($inputs, array('campo'=>':coluna', 'valor'=>null));
		}
		if($bi_pagina_analise->getTexto() != "")
		{
			array_push($inputs, array('campo'=>':texto', 'valor'=>$bi_pagina_analise->getTexto()));
		}
		else
		{
			array_push($inputs, array('campo'=>':texto', 'valor'=>null));
		}
		if($bi_pagina_analise->getTipo() != "")
		{
			array_push($inputs, array('campo'=>':tipo', 'valor'=>$bi_pagina_analise->getTipo()));
		}
		else
		{
			array_push($inputs, array('campo'=>':tipo', 'valor'=>null));
		}
		try
		{
			$sql = "UPDATE  bi_pagina_analise  SET codigo = :codigo, pagina = :pagina, analise = :analise, altura = :altura, largura = :largura, left_fixo = :left_fixo, top_fixo = :top_fixo, linha = :linha, coluna = :coluna, texto = :texto, tipo = :tipo WHERE codigo = :codigo  ";
			return $this->_funcoes_bd->executarSql($sql,$inputs);
		}
		catch (Exception $e)
		{
			throw new Exception($e->getMessage());
		}
	}
	public function excluir($bi_pagina_analise)
	{
		try
		{
			$sql = "DELETE FROM bi_pagina_analise  WHERE codigo =  :codigo ";
			$inputs = array();
			array_push($inputs, array('campo'=>':codigo', 'valor'=>$bi_pagina_analise->getCodigo()));
			return $this->_funcoes_bd->executarSql($sql,$inputs);
		}
		catch (Exception $e)
		{
			throw new Exception($e->getMessage());
		}
	}
	public function listarTodosRegistros()
	{
		$inputs = array();
		$sql = "SELECT * FROM bi_pagina_analise";
		$listaBi_pagina_analise = array();
		$rows_bi_pagina_analise = $this->_funcoes_bd->sql($sql);
		foreach ($rows_bi_pagina_analise as $row)
		{
			$bi_pagina_analise = new Bi_pagina_analise();
			$bi_pagina_analise->setCodigo($row['codigo']);
			if($row['pagina'] != "")
			{
				$paginaDAO = new Bi_paginaDAO();
				$bi_pagina_analise->setPagina($paginaDAO->buscarBi_pagina($row['pagina']));
			}
			else
			{
				$bi_pagina_analise->setPagina(new Bi_pagina());
			}
			if($row['analise'] != "")
			{
				$analiseDAO = new Bi_analiseDAO();
				$bi_pagina_analise->setAnalise($analiseDAO->buscarBi_analise($row['analise']));
			}
			else
			{
				$bi_pagina_analise->setAnalise(new Bi_analise());
			}
			$bi_pagina_analise->setAltura($row['altura']);
			$bi_pagina_analise->setLargura($row['largura']);
			$bi_pagina_analise->setLeft_fixo($row['left_fixo']);
			$bi_pagina_analise->setTop_fixo($row['top_fixo']);
			$bi_pagina_analise->setLinha($row['linha']);
			$bi_pagina_analise->setColuna($row['coluna']);
			$bi_pagina_analise->setTexto($row['texto']);
			$bi_pagina_analise->setTipo($row['tipo']);
			array_push($listaBi_pagina_analise,$bi_pagina_analise );
		}
		return $listaBi_pagina_analise;
	}
	public function buscarBi_pagina_analisePorPagina($pagina)
	{
		$inputs = array();
		$sql = "SELECT * FROM bi_pagina_analise where pagina = ".$pagina."";
		$lista_bi_pagina_analise = array();
		$rows_bi_pagina_analise = $this->_funcoes_bd->sql($sql);
		foreach ($rows_bi_pagina_analise as $row)
		{
			$bi_pagina_analise = new Bi_pagina_analise();
			$bi_pagina_analise->setCodigo($row['codigo']);
			if($row['pagina'] != "")
			{
				$paginaDAO = new Bi_paginaDAO();
				$bi_pagina_analise->setPagina($paginaDAO->buscarBi_pagina($row['pagina']));
			}
			else
			{
				$bi_pagina_analise->setPagina(new Bi_pagina());
			}
			if($row['analise'] != "")
			{
				$analiseDAO = new Bi_analiseDAO();
				$bi_pagina_analise->setAnalise($analiseDAO->buscarBi_analise($row['analise']));
			}
			else
			{
				$bi_pagina_analise->setAnalise(new Bi_analise());
			}
			$bi_pagina_analise->setAltura($row['altura']);
			$bi_pagina_analise->setLargura($row['largura']);
			$bi_pagina_analise->setLeft_fixo($row['left_fixo']);
			$bi_pagina_analise->setTop_fixo($row['top_fixo']);
			$bi_pagina_analise->setLinha($row['linha']);
			$bi_pagina_analise->setColuna($row['coluna']);
			$bi_pagina_analise->setTexto($row['texto']);
			$bi_pagina_analise->setTipo($row['tipo']);
			array_push($lista_bi_pagina_analise, $bi_pagina_analise);
		}
		return $lista_bi_pagina_analise;
	}
	public function buscarBi_pagina_analisePorAnalise($analise)
	{
		$inputs = array();
		$sql = "SELECT * FROM bi_pagina_analise where analise = ".$analise."";
		$lista_bi_pagina_analise = array();
		$rows_bi_pagina_analise = $this->_funcoes_bd->sql($sql);
		foreach ($rows_bi_pagina_analise as $row)
		{
			$bi_pagina_analise = new Bi_pagina_analise();
			$bi_pagina_analise->setCodigo($row['codigo']);
			if($row['pagina'] != "")
			{
				$paginaDAO = new Bi_paginaDAO();
				$bi_pagina_analise->setPagina($paginaDAO->buscarBi_pagina($row['pagina']));
			}
			else
			{
				$bi_pagina_analise->setPagina(new Bi_pagina());
			}
			if($row['analise'] != "")
			{
				$analiseDAO = new Bi_analiseDAO();
				$bi_pagina_analise->setAnalise($analiseDAO->buscarBi_analise($row['analise']));
			}
			else
			{
				$bi_pagina_analise->setAnalise(new Bi_analise());
			}
			$bi_pagina_analise->setAltura($row['altura']);
			$bi_pagina_analise->setLargura($row['largura']);
			$bi_pagina_analise->setLeft_fixo($row['left_fixo']);
			$bi_pagina_analise->setTop_fixo($row['top_fixo']);
			$bi_pagina_analise->setLinha($row['linha']);
			$bi_pagina_analise->setColuna($row['coluna']);
			$bi_pagina_analise->setTexto($row['texto']);
			$bi_pagina_analise->setTipo($row['tipo']);
			array_push($lista_bi_pagina_analise, $bi_pagina_analise);
		}
		return $lista_bi_pagina_analise;
	}
	public function buscarBi_pagina_analisePorAltura($altura)
	{
		$inputs = array();
		$sql = "SELECT * FROM bi_pagina_analise where altura like '%".$altura."%'";
		$lista_bi_pagina_analise = array();
		$rows_bi_pagina_analise = $this->_funcoes_bd->sql($sql);
		foreach ($rows_bi_pagina_analise as $row)
		{
			$bi_pagina_analise = new Bi_pagina_analise();
			$bi_pagina_analise->setCodigo($row['codigo']);
			if($row['pagina'] != "")
			{
				$paginaDAO = new Bi_paginaDAO();
				$bi_pagina_analise->setPagina($paginaDAO->buscarBi_pagina($row['pagina']));
			}
			else
			{
				$bi_pagina_analise->setPagina(new Bi_pagina());
			}
			if($row['analise'] != "")
			{
				$analiseDAO = new Bi_analiseDAO();
				$bi_pagina_analise->setAnalise($analiseDAO->buscarBi_analise($row['analise']));
			}
			else
			{
				$bi_pagina_analise->setAnalise(new Bi_analise());
			}
			$bi_pagina_analise->setAltura($row['altura']);
			$bi_pagina_analise->setLargura($row['largura']);
			$bi_pagina_analise->setLeft_fixo($row['left_fixo']);
			$bi_pagina_analise->setTop_fixo($row['top_fixo']);
			$bi_pagina_analise->setLinha($row['linha']);
			$bi_pagina_analise->setColuna($row['coluna']);
			$bi_pagina_analise->setTexto($row['texto']);
			$bi_pagina_analise->setTipo($row['tipo']);
			array_push($lista_bi_pagina_analise, $bi_pagina_analise);
		}
		return $lista_bi_pagina_analise;
	}
	public function buscarBi_pagina_analisePorLargura($largura)
	{
		$inputs = array();
		$sql = "SELECT * FROM bi_pagina_analise where largura like '%".$largura."%'";
		$lista_bi_pagina_analise = array();
		$rows_bi_pagina_analise = $this->_funcoes_bd->sql($sql);
		foreach ($rows_bi_pagina_analise as $row)
		{
			$bi_pagina_analise = new Bi_pagina_analise();
			$bi_pagina_analise->setCodigo($row['codigo']);
			if($row['pagina'] != "")
			{
				$paginaDAO = new Bi_paginaDAO();
				$bi_pagina_analise->setPagina($paginaDAO->buscarBi_pagina($row['pagina']));
			}
			else
			{
				$bi_pagina_analise->setPagina(new Bi_pagina());
			}
			if($row['analise'] != "")
			{
				$analiseDAO = new Bi_analiseDAO();
				$bi_pagina_analise->setAnalise($analiseDAO->buscarBi_analise($row['analise']));
			}
			else
			{
				$bi_pagina_analise->setAnalise(new Bi_analise());
			}
			$bi_pagina_analise->setAltura($row['altura']);
			$bi_pagina_analise->setLargura($row['largura']);
			$bi_pagina_analise->setLeft_fixo($row['left_fixo']);
			$bi_pagina_analise->setTop_fixo($row['top_fixo']);
			$bi_pagina_analise->setLinha($row['linha']);
			$bi_pagina_analise->setColuna($row['coluna']);
			$bi_pagina_analise->setTexto($row['texto']);
			$bi_pagina_analise->setTipo($row['tipo']);
			array_push($lista_bi_pagina_analise, $bi_pagina_analise);
		}
		return $lista_bi_pagina_analise;
	}
	public function buscarBi_pagina_analisePorLeft_fixo($left_fixo)
	{
		$inputs = array();
		$sql = "SELECT * FROM bi_pagina_analise where left_fixo like '%".$left_fixo."%'";
		$lista_bi_pagina_analise = array();
		$rows_bi_pagina_analise = $this->_funcoes_bd->sql($sql);
		foreach ($rows_bi_pagina_analise as $row)
		{
			$bi_pagina_analise = new Bi_pagina_analise();
			$bi_pagina_analise->setCodigo($row['codigo']);
			if($row['pagina'] != "")
			{
				$paginaDAO = new Bi_paginaDAO();
				$bi_pagina_analise->setPagina($paginaDAO->buscarBi_pagina($row['pagina']));
			}
			else
			{
				$bi_pagina_analise->setPagina(new Bi_pagina());
			}
			if($row['analise'] != "")
			{
				$analiseDAO = new Bi_analiseDAO();
				$bi_pagina_analise->setAnalise($analiseDAO->buscarBi_analise($row['analise']));
			}
			else
			{
				$bi_pagina_analise->setAnalise(new Bi_analise());
			}
			$bi_pagina_analise->setAltura($row['altura']);
			$bi_pagina_analise->setLargura($row['largura']);
			$bi_pagina_analise->setLeft_fixo($row['left_fixo']);
			$bi_pagina_analise->setTop_fixo($row['top_fixo']);
			$bi_pagina_analise->setLinha($row['linha']);
			$bi_pagina_analise->setColuna($row['coluna']);
			$bi_pagina_analise->setTexto($row['texto']);
			$bi_pagina_analise->setTipo($row['tipo']);
			array_push($lista_bi_pagina_analise, $bi_pagina_analise);
		}
		return $lista_bi_pagina_analise;
	}
	public function buscarBi_pagina_analisePorTop_fixo($top_fixo)
	{
		$inputs = array();
		$sql = "SELECT * FROM bi_pagina_analise where top_fixo like '%".$top_fixo."%'";
		$lista_bi_pagina_analise = array();
		$rows_bi_pagina_analise = $this->_funcoes_bd->sql($sql);
		foreach ($rows_bi_pagina_analise as $row)
		{
			$bi_pagina_analise = new Bi_pagina_analise();
			$bi_pagina_analise->setCodigo($row['codigo']);
			if($row['pagina'] != "")
			{
				$paginaDAO = new Bi_paginaDAO();
				$bi_pagina_analise->setPagina($paginaDAO->buscarBi_pagina($row['pagina']));
			}
			else
			{
				$bi_pagina_analise->setPagina(new Bi_pagina());
			}
			if($row['analise'] != "")
			{
				$analiseDAO = new Bi_analiseDAO();
				$bi_pagina_analise->setAnalise($analiseDAO->buscarBi_analise($row['analise']));
			}
			else
			{
				$bi_pagina_analise->setAnalise(new Bi_analise());
			}
			$bi_pagina_analise->setAltura($row['altura']);
			$bi_pagina_analise->setLargura($row['largura']);
			$bi_pagina_analise->setLeft_fixo($row['left_fixo']);
			$bi_pagina_analise->setTop_fixo($row['top_fixo']);
			$bi_pagina_analise->setLinha($row['linha']);
			$bi_pagina_analise->setColuna($row['coluna']);
			$bi_pagina_analise->setTexto($row['texto']);
			$bi_pagina_analise->setTipo($row['tipo']);
			array_push($lista_bi_pagina_analise, $bi_pagina_analise);
		}
		return $lista_bi_pagina_analise;
	}
	public function buscarBi_pagina_analisePorLinha($linha)
	{
		$inputs = array();
		$sql = "SELECT * FROM bi_pagina_analise where linha like '%".$linha."%'";
		$lista_bi_pagina_analise = array();
		$rows_bi_pagina_analise = $this->_funcoes_bd->sql($sql);
		foreach ($rows_bi_pagina_analise as $row)
		{
			$bi_pagina_analise = new Bi_pagina_analise();
			$bi_pagina_analise->setCodigo($row['codigo']);
			if($row['pagina'] != "")
			{
				$paginaDAO = new Bi_paginaDAO();
				$bi_pagina_analise->setPagina($paginaDAO->buscarBi_pagina($row['pagina']));
			}
			else
			{
				$bi_pagina_analise->setPagina(new Bi_pagina());
			}
			if($row['analise'] != "")
			{
				$analiseDAO = new Bi_analiseDAO();
				$bi_pagina_analise->setAnalise($analiseDAO->buscarBi_analise($row['analise']));
			}
			else
			{
				$bi_pagina_analise->setAnalise(new Bi_analise());
			}
			$bi_pagina_analise->setAltura($row['altura']);
			$bi_pagina_analise->setLargura($row['largura']);
			$bi_pagina_analise->setLeft_fixo($row['left_fixo']);
			$bi_pagina_analise->setTop_fixo($row['top_fixo']);
			$bi_pagina_analise->setLinha($row['linha']);
			$bi_pagina_analise->setColuna($row['coluna']);
			$bi_pagina_analise->setTexto($row['texto']);
			$bi_pagina_analise->setTipo($row['tipo']);
			array_push($lista_bi_pagina_analise, $bi_pagina_analise);
		}
		return $lista_bi_pagina_analise;
	}
	public function buscarBi_pagina_analisePorColuna($coluna)
	{
		$inputs = array();
		$sql = "SELECT * FROM bi_pagina_analise where coluna like '%".$coluna."%'";
		$lista_bi_pagina_analise = array();
		$rows_bi_pagina_analise = $this->_funcoes_bd->sql($sql);
		foreach ($rows_bi_pagina_analise as $row)
		{
			$bi_pagina_analise = new Bi_pagina_analise();
			$bi_pagina_analise->setCodigo($row['codigo']);
			if($row['pagina'] != "")
			{
				$paginaDAO = new Bi_paginaDAO();
				$bi_pagina_analise->setPagina($paginaDAO->buscarBi_pagina($row['pagina']));
			}
			else
			{
				$bi_pagina_analise->setPagina(new Bi_pagina());
			}
			if($row['analise'] != "")
			{
				$analiseDAO = new Bi_analiseDAO();
				$bi_pagina_analise->setAnalise($analiseDAO->buscarBi_analise($row['analise']));
			}
			else
			{
				$bi_pagina_analise->setAnalise(new Bi_analise());
			}
			$bi_pagina_analise->setAltura($row['altura']);
			$bi_pagina_analise->setLargura($row['largura']);
			$bi_pagina_analise->setLeft_fixo($row['left_fixo']);
			$bi_pagina_analise->setTop_fixo($row['top_fixo']);
			$bi_pagina_analise->setLinha($row['linha']);
			$bi_pagina_analise->setColuna($row['coluna']);
			$bi_pagina_analise->setTexto($row['texto']);
			$bi_pagina_analise->setTipo($row['tipo']);
			array_push($lista_bi_pagina_analise, $bi_pagina_analise);
		}
		return $lista_bi_pagina_analise;
	}
	public function buscarBi_pagina_analisePorTexto($texto)
	{
		$inputs = array();
		$sql = "SELECT * FROM bi_pagina_analise where texto like '%".$texto."%'";
		$lista_bi_pagina_analise = array();
		$rows_bi_pagina_analise = $this->_funcoes_bd->sql($sql);
		foreach ($rows_bi_pagina_analise as $row)
		{
			$bi_pagina_analise = new Bi_pagina_analise();
			$bi_pagina_analise->setCodigo($row['codigo']);
			if($row['pagina'] != "")
			{
				$paginaDAO = new Bi_paginaDAO();
				$bi_pagina_analise->setPagina($paginaDAO->buscarBi_pagina($row['pagina']));
			}
			else
			{
				$bi_pagina_analise->setPagina(new Bi_pagina());
			}
			if($row['analise'] != "")
			{
				$analiseDAO = new Bi_analiseDAO();
				$bi_pagina_analise->setAnalise($analiseDAO->buscarBi_analise($row['analise']));
			}
			else
			{
				$bi_pagina_analise->setAnalise(new Bi_analise());
			}
			$bi_pagina_analise->setAltura($row['altura']);
			$bi_pagina_analise->setLargura($row['largura']);
			$bi_pagina_analise->setLeft_fixo($row['left_fixo']);
			$bi_pagina_analise->setTop_fixo($row['top_fixo']);
			$bi_pagina_analise->setLinha($row['linha']);
			$bi_pagina_analise->setColuna($row['coluna']);
			$bi_pagina_analise->setTexto($row['texto']);
			$bi_pagina_analise->setTipo($row['tipo']);
			array_push($lista_bi_pagina_analise, $bi_pagina_analise);
		}
		return $lista_bi_pagina_analise;
	}
	public function buscarBi_pagina_analisePorTipo($tipo)
	{
		$inputs = array();
		$sql = "SELECT * FROM bi_pagina_analise where tipo like '%".$tipo."%'";
		$lista_bi_pagina_analise = array();
		$rows_bi_pagina_analise = $this->_funcoes_bd->sql($sql);
		foreach ($rows_bi_pagina_analise as $row)
		{
			$bi_pagina_analise = new Bi_pagina_analise();
			$bi_pagina_analise->setCodigo($row['codigo']);
			if($row['pagina'] != "")
			{
				$paginaDAO = new Bi_paginaDAO();
				$bi_pagina_analise->setPagina($paginaDAO->buscarBi_pagina($row['pagina']));
			}
			else
			{
				$bi_pagina_analise->setPagina(new Bi_pagina());
			}
			if($row['analise'] != "")
			{
				$analiseDAO = new Bi_analiseDAO();
				$bi_pagina_analise->setAnalise($analiseDAO->buscarBi_analise($row['analise']));
			}
			else
			{
				$bi_pagina_analise->setAnalise(new Bi_analise());
			}
			$bi_pagina_analise->setAltura($row['altura']);
			$bi_pagina_analise->setLargura($row['largura']);
			$bi_pagina_analise->setLeft_fixo($row['left_fixo']);
			$bi_pagina_analise->setTop_fixo($row['top_fixo']);
			$bi_pagina_analise->setLinha($row['linha']);
			$bi_pagina_analise->setColuna($row['coluna']);
			$bi_pagina_analise->setTexto($row['texto']);
			$bi_pagina_analise->setTipo($row['tipo']);
			array_push($lista_bi_pagina_analise, $bi_pagina_analise);
		}
		return $lista_bi_pagina_analise;
	}
}